package com.yfd.platform.modules.robotapi.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.robotapi.domain.RobotOfflineLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zhengsl
 * @since 2024-06-26
 */
public interface IRobotOfflineLogService extends IService<RobotOfflineLog> {

    List<Map<String, Object>> getOnlineDurationList(String robotCoe, String patrolServerCode);
    Page<Map<String, Object>> getOnlineDurationPage(Page<Map<String, Object>> page,String stationId,String patrolDeviceCode,String patrolDeviceName,String type);

    List<Map<String, Object>> getOfflineTimes(String robotCode);

    List<Map<String, Object>> normalInspectionDays(String robotCode);

    List<Map<String, Object>> normalRunDays(String robotCode);
}
